# ObjectManagement Class Reference

`#include <ObjectManagement.hh>`

List of all members.

## Public Member Functions
| ObjectManagement (Communications *, FederationManagement *, RootObject *)
| ~ObjectManagement ()
ObjectHandle | registerObject (ObjectClassHandle theClassHandle, const char *theObjectName, FederationTime date, FederationTime heure, TypeException &e)
| registerObject
EventRetractionHandle | updateAttributeValues (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, std::vector< AttributeValue_t > &valueArray, UShort attribArraySize, FederationTime theTime, std::string theTag, TypeException &e)
| updateAttributeValues
void | updateAttributeValues (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, std::vector< AttributeValue_t > &valueArray, UShort attribArraySize, std::string theTag, TypeException &e)
| updateAttributeValues
void | discoverObject (ObjectHandle theObjectHandle, ObjectClassHandle theObjectClassHandle, const char *theObjectName, FederationTime theTime, EventRetractionHandle theHandle, TypeException &e)
| discoverObject.
void | reflectAttributeValues (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, std::vector< AttributeValue_t > &valueArray, UShort attribArraySize, FederationTime theTime, const char *theTag, EventRetractionHandle theHandle, TypeException &e)
| reflectAttributeValues with time
void | reflectAttributeValues (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, std::vector< AttributeValue_t > &valueArray, UShort attribArraySize, const char *theTag, TypeException &e)
| reflectAttributeValues without time
EventRetractionHandle | sendInteraction (InteractionClassHandle theInteraction, std::vector< ParameterHandle > &paramArray, std::vector< ParameterValue_t > &valueArray, UShort paramArraySize, FederationTime theTime, std::string theTag, RegionHandle, TypeException &e)
| sendInteraction with time
void | sendInteraction (InteractionClassHandle theInteraction, std::vector< ParameterHandle > &paramArray, std::vector< ParameterValue_t > &valueArray, UShort paramArraySize, std::string theTag, RegionHandle, TypeException &e)
| sendInteraction without time
void | receiveInteraction (InteractionClassHandle theInteraction, std::vector< ParameterHandle > &paramArray, std::vector< ParameterValue_t > &valueArray, UShort paramArraySize, FederationTime theTime, const char *theTag, EventRetractionHandle theHandle, TypeException &e)
| receiveInteraction with time
void | receiveInteraction (InteractionClassHandle theInteraction, std::vector< ParameterHandle > &paramArray, std::vector< ParameterValue_t > &valueArray, UShort paramArraySize, const char *theTag, TypeException &e)
| receiveInteraction without time
EventRetractionHandle | deleteObject (ObjectHandle theObjectHandle, FederationTime theTime, std::string theTag, TypeException &e)
| deleteObject with time
void | deleteObject (ObjectHandle theObjectHandle, std::string theTag, TypeException &e)
| deleteObject without time
void | removeObject (ObjectHandle theObjectHandle, FederateHandle theFederateHandle, FederationTime theTime, const char *theTag, EventRetractionHandle theHandle, TypeException &e)
| removeObject with time
void | removeObject (ObjectHandle theObjectHandle, FederateHandle theFederateHandle, const char *theTag, TypeException &e)
| removeObject without time
void | removeObject (ObjectHandle theObject, ObjectRemovalReason theReason, TypeException &e)
EventRetractionHandle | changeAttributeTransportType (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, UShort attribArraySize, TransportType theType, TypeException &e)
| changeAttributeTransportType
EventRetractionHandle | changeAttributeOrderType (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, UShort attribArraySize, OrderType theType, TypeException &e)
| changeAttributeOrderType
EventRetractionHandle | changeInteractionTransportType (InteractionClassHandle theClassID, TransportType theType, TypeException &e)
| changeInteractionTransportType
EventRetractionHandle | changeInteractionOrderType (InteractionClassHandle theClassID, OrderType theType, TypeException &e)
| changeInteractionOrderType
void | requestObjectAttributeValueUpdate (ObjectHandle theObjectHandle, std::vector< AttributeHandle > &attribArray, UShort attribArraySize, TypeException &e)
| requestObjectAttributeValueUpdate
void | provideAttributeValueUpdate (ObjectHandle theObject, std::vector< AttributeHandle > &theAttributes, UShort attribArraySize, TypeException &e)
void | retract (EventRetractionHandle theHandle, TypeException &e)
void | reflectRetraction (EventRetractionHandle theHandle, TypeException &e)
void | setAttributeScopeAdvisorySwitch (bool state, TypeException &e)
| Transmits the Networkmessage NM_Set_Attribute_Scope_Advisory_Switch to RTIG.
void | attributesInScope (ObjectHandle theObject, const std::vector< AttributeHandle > &attribArray, const UShort attribArraySize, TypeException &e)
void | attributesOutOfScope (ObjectHandle theObject, const std::vector< AttributeHandle > &attribArray, const UShort attribArraySize, TypeException &e)
void | setAttributeRelevanceAdvisorySwitch (bool state, TypeException &e)
| Transmits the Networkmessage NM_Set_Attribute_Relevance_Advisory_Switch to RTIG.
void | turnUpdatesOnForObjectInstance (ObjectHandle theObject, const std::vector< AttributeHandle > &attribArray, const UShort attribArraySize, TypeException &e)
void | turnUpdatesOffForObjectInstance (ObjectHandle theObject, const std::vector< AttributeHandle > &attribArray, const UShort attribArraySize, TypeException &e)
ObjectClassHandle | getObjectClassHandle (const char *theName)
| getObjectClassHandle.
std::string | getObjectClassName (ObjectClassHandle)
| getObjectClassName.
ObjectHandle | getObjectInstanceHandle (const char *)
| Returns the object instance handle.
const char * | getObjectInstanceName (ObjectHandle)
| Returns the object instance name.
AttributeHandle | getAttributeHandle (const char *theName, ObjectClassHandle theClassHandle)
| getAttributeHandle.
const char * | getAttributeName (AttributeHandle theHandle, ObjectClassHandle theClassHandle)
| getAttributeName.
InteractionClassHandle | getInteractionClassHandle (const char *theName)
| getInteractionClassHandle.
const std::string | getInteractionClassName (InteractionClassHandle theClassHandle)
| getInteractionClassName.
ParameterHandle | getParameterHandle (const char *theParameterName, InteractionClassHandle theClassHandle)
| getParameterHandle.
const std::string & | getParameterName (ParameterHandle theParameterHandle, InteractionClassHandle theClassHandle)
| getParameterName.
ObjectClassHandle | getObjectClass (ObjectHandle)
| getObjectClass
TransportType | getTransportationHandle (const char *theName)
| getTransportationHandle
const char * | getTransportationName (TransportType theType)
| getTransportationName
OrderType | getOrderingHandle (const char *theName)
| getOrderingHandle
const char * | getOrderingName (OrderType theType)
| getOrderingName
## Public Attributes
TimeManagement * | tm
## Protected Attributes
Communications * | comm
Queues * | queues
FederationManagement * | fm
RootObject * | rootObject
## Static Private Attributes
static const TransportTypeList | transportTypeList []
static const OrderTypeList | orderTypeList []
## Classes
struct | OrderTypeList
struct | TransportTypeList

## Detailed Description

Definition at line 40 of file ObjectManagement.hh.

## Constructor & Destructor Documentation

ObjectManagement | ( | Communications * | GC,
|  | FederationManagement * | GF,
|  | RootObject * | theRootObj |
| ) |  |  |

Definition at line 69 of file ObjectManagement.cc.

~ObjectManagement | ( |  | ) |

Definition at line 76 of file ObjectManagement.cc.

## Member Function Documentation

ObjectHandle registerObject | ( | ObjectClassHandle | theClassHandle,
|  | const char * | theObjectName,
|  | FederationTime | date,
|  | FederationTime | heure,
|  | TypeException & | e |
| ) |  |  |

registerObject

Definition at line 82 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::objectClass, NetworkMessage::REGISTER_OBJECT, RootObject::registerObjectInstance(), ObjectManagement::rootObject, Communications::sendMessage(), NetworkMessage::setLabel(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

EventRetractionHandle updateAttributeValues | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | std::vector< AttributeValue_t > & | valueArray,
|  | UShort | attribArraySize,
|  | FederationTime | theTime,
|  | std::string | theTag,
|  | TypeException & | e |
| ) |  |  |

updateAttributeValues

with time

Parameters:

  | theObjectHandle | Object handle
  | attribArray | attribute handles array (pointer)
  | valueArray | value array (pointer)
  | attribArraySize | attribute and value array size
  | theTime | time of the federation
  | theTag | user tag (pointer)
  | e | exception address (may be modified)

Definition at line 123 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, certi::rtia::D, certi::e_InvalidFederationTime, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::object, PrettyDebug::Out(), pdDebug, pdGendoc, TimeManagement::requestFederateTime(), TimeManagement::requestLookahead(), Communications::sendMessage(), NetworkMessage::setDate(), NetworkMessage::setLabel(), NetworkMessage::sizeValueArray(), TimeManagement::testValidTime(), ObjectManagement::tm, NetworkMessage::valueArray, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void updateAttributeValues | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | std::vector< AttributeValue_t > & | valueArray,
|  | UShort | attribArraySize,
|  | std::string | theTag,
|  | TypeException & | e |
| ) |  |  |

updateAttributeValues

without time

Parameters:

  | theObjectHandle | Object handle
  | attribArray | attribute handles array (pointer)
  | valueArray | value array (pointer)
  | attribArraySize | attribute and value array size
  | theTag | user tag (pointer)
  | e | exception address (may be modified)

Definition at line 189 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, NetworkMessage::getType(), NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::object, PrettyDebug::Out(), pdGendoc, Communications::sendMessage(), NetworkMessage::setLabel(), NetworkMessage::sizeValueArray(), NetworkMessage::valueArray, and Communications::waitMessage().

Here is the call graph for this function:

void discoverObject | ( | ObjectHandle | theObjectHandle,
|  | ObjectClassHandle | theObjectClassHandle,
|  | const char * | theObjectName,
|  | FederationTime | theTime,
|  | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

discoverObject.

Definition at line 226 of file ObjectManagement.cc.

References ObjectManagement::comm, Message::DISCOVER_OBJECT_INSTANCE, FederationManagement::federate, ObjectManagement::fm, Message::getName(), RootObject::registerObjectInstance(), Communications::requestFederateService(), ObjectManagement::rootObject, Message::setEventRetraction(), Message::setFederationTime(), Message::setName(), Message::setObject(), Message::setObjectClass(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void reflectAttributeValues | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | std::vector< AttributeValue_t > & | valueArray,
|  | UShort | attribArraySize,
|  | FederationTime | theTime,
|  | const char * | theTag,
|  | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

reflectAttributeValues with time

Definition at line 266 of file ObjectManagement.cc.

References ObjectManagement::comm, certi::rtia::G, PrettyDebug::Out(), pdGendoc, Message::REFLECT_ATTRIBUTE_VALUES, Communications::requestFederateService(), Message::setAttributes(), Message::setBoolean(), Message::setEventRetraction(), Message::setFederationTime(), Message::setObject(), Message::setTag(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void reflectAttributeValues | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | std::vector< AttributeValue_t > & | valueArray,
|  | UShort | attribArraySize,
|  | const char * | theTag,
|  | TypeException & | e |
| ) |  |  |

reflectAttributeValues without time

Definition at line 294 of file ObjectManagement.cc.

References ObjectManagement::comm, certi::rtia::G, PrettyDebug::Out(), pdGendoc, Message::REFLECT_ATTRIBUTE_VALUES, Communications::requestFederateService(), Message::setAttributes(), Message::setBoolean(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

EventRetractionHandle sendInteraction | ( | InteractionClassHandle | theInteraction,
|  | std::vector< ParameterHandle > & | paramArray,
|  | std::vector< ParameterValue_t > & | valueArray,
|  | UShort | paramArraySize,
|  | FederationTime | theTime,
|  | std::string | theTag,
|  | RegionHandle | region,
|  | TypeException & | e |
| ) |  |  |

sendInteraction with time

Definition at line 318 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, certi::e_InvalidFederationTime, NetworkMessage::federate, FederationManagement::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::interactionClass, RootObject::Interactions, InteractionSet::isReady(), PrettyDebug::Out(), pdGendoc, NetworkMessage::region, ObjectManagement::rootObject, NetworkMessage::SEND_INTERACTION, Communications::sendMessage(), NetworkMessage::setDate(), NetworkMessage::setLabel(), NetworkMessage::sizeValueArray(), TimeManagement::testValidTime(), ObjectManagement::tm, NetworkMessage::valueArray, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void sendInteraction | ( | InteractionClassHandle | theInteraction,
|  | std::vector< ParameterHandle > & | paramArray,
|  | std::vector< ParameterValue_t > & | valueArray,
|  | UShort | paramArraySize,
|  | std::string | theTag,
|  | RegionHandle | region,
|  | TypeException & | e |
| ) |  |  |

sendInteraction without time

Definition at line 376 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, NetworkMessage::federate, FederationManagement::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::interactionClass, RootObject::Interactions, InteractionSet::isReady(), PrettyDebug::Out(), pdGendoc, NetworkMessage::region, ObjectManagement::rootObject, NetworkMessage::SEND_INTERACTION, Communications::sendMessage(), NetworkMessage::setLabel(), NetworkMessage::sizeValueArray(), NetworkMessage::valueArray, and Communications::waitMessage().

Here is the call graph for this function:

void receiveInteraction | ( | InteractionClassHandle | theInteraction,
|  | std::vector< ParameterHandle > & | paramArray,
|  | std::vector< ParameterValue_t > & | valueArray,
|  | UShort | paramArraySize,
|  | FederationTime | theTime,
|  | const char * | theTag,
|  | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

receiveInteraction with time

Definition at line 419 of file ObjectManagement.cc.

References ObjectManagement::comm, Message::RECEIVE_INTERACTION, Communications::requestFederateService(), Message::setBoolean(), Message::setEventRetraction(), Message::setFederationTime(), Message::setInteractionClass(), Message::setParameters(), Message::setTag(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void receiveInteraction | ( | InteractionClassHandle | theInteraction,
|  | std::vector< ParameterHandle > & | paramArray,
|  | std::vector< ParameterValue_t > & | valueArray,
|  | UShort | paramArraySize,
|  | const char * | theTag,
|  | TypeException & | e |
| ) |  |  |

receiveInteraction without time

Definition at line 443 of file ObjectManagement.cc.

References ObjectManagement::comm, Message::RECEIVE_INTERACTION, Communications::requestFederateService(), Message::setBoolean(), Message::setInteractionClass(), Message::setParameters(), Message::setTag(), and Message::type.

Here is the call graph for this function:

EventRetractionHandle deleteObject | ( | ObjectHandle | theObjectHandle,
|  | FederationTime | theTime,
|  | std::string | theTag,
|  | TypeException & | e |
| ) |  |  |

deleteObject with time

Definition at line 463 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, NetworkMessage::DELETE_OBJECT, RootObject::deleteObjectInstance(), certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::object, ObjectManagement::rootObject, Communications::sendMessage(), NetworkMessage::setDate(), NetworkMessage::setLabel(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void deleteObject | ( | ObjectHandle | theObjectHandle,
|  | std::string | theTag,
|  | TypeException & | e |
| ) |  |  |

deleteObject without time

Definition at line 491 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, NetworkMessage::DELETE_OBJECT, RootObject::deleteObjectInstance(), certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::object, ObjectManagement::rootObject, Communications::sendMessage(), NetworkMessage::setLabel(), and Communications::waitMessage().

Here is the call graph for this function:

void removeObject | ( | ObjectHandle | theObjectHandle,
|  | FederateHandle | theFederateHandle,
|  | FederationTime | theTime,
|  | const char * | theTag,
|  | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

removeObject with time

Definition at line 515 of file ObjectManagement.cc.

References ObjectManagement::comm, RootObject::deleteObjectInstance(), Message::REMOVE_OBJECT_INSTANCE, Communications::requestFederateService(), ObjectManagement::rootObject, Message::setBoolean(), Message::setEventRetraction(), Message::setFederationTime(), Message::setObject(), Message::setTag(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void removeObject | ( | ObjectHandle | theObjectHandle,
|  | FederateHandle | theFederateHandle,
|  | const char * | theTag,
|  | TypeException & | e |
| ) |  |  |

removeObject without time

Definition at line 540 of file ObjectManagement.cc.

References ObjectManagement::comm, RootObject::deleteObjectInstance(), Message::REMOVE_OBJECT_INSTANCE, Communications::requestFederateService(), ObjectManagement::rootObject, Message::setBoolean(), Message::setObject(), Message::setTag(), and Message::type.

Here is the call graph for this function:

void removeObject | ( | ObjectHandle | theObject,
|  | ObjectRemovalReason | theReason,
|  | TypeException & | e |
| ) |  |  |

EventRetractionHandle changeAttributeTransportType | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | UShort | attribArraySize,
|  | TransportType | theType,
|  | TypeException & | e |
| ) |  |  |

changeAttributeTransportType

Definition at line 560 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NetworkMessage::CHANGE_ATTRIBUTE_TRANSPORT_TYPE, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::handleArray, NetworkMessage::object, Communications::sendMessage(), NetworkMessage::transport, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

EventRetractionHandle changeAttributeOrderType | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | UShort | attribArraySize,
|  | OrderType | theType,
|  | TypeException & | e |
| ) |  |  |

changeAttributeOrderType

Definition at line 592 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NetworkMessage::CHANGE_ATTRIBUTE_ORDER_TYPE, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::object, NetworkMessage::order, Communications::sendMessage(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

EventRetractionHandle changeInteractionTransportType | ( | InteractionClassHandle | theClassID,
|  | TransportType | theType,
|  | TypeException & | e |
| ) |  |  |

changeInteractionTransportType

Definition at line 624 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NetworkMessage::CHANGE_INTERACTION_TRANSPORT_TYPE, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::interactionClass, Communications::sendMessage(), NetworkMessage::transport, and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

EventRetractionHandle changeInteractionOrderType | ( | InteractionClassHandle | theClassID,
|  | OrderType | theType,
|  | TypeException & | e |
| ) |  |  |

changeInteractionOrderType

Definition at line 645 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NetworkMessage::CHANGE_INTERACTION_ORDER_TYPE, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, NetworkMessage::interactionClass, NetworkMessage::order, Communications::sendMessage(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void requestObjectAttributeValueUpdate | ( | ObjectHandle | theObjectHandle,
|  | std::vector< AttributeHandle > & | attribArray,
|  | UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

requestObjectAttributeValueUpdate

Definition at line 668 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, ObjectManagement::comm, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, NetworkMessage::handleArray, NetworkMessage::handleArraySize, NetworkMessage::object, PrettyDebug::Out(), pdGendoc, NetworkMessage::REQUEST_OBJECT_ATTRIBUTE_VALUE_UPDATE, Communications::sendMessage(), and Communications::waitMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void provideAttributeValueUpdate | ( | ObjectHandle | theObject,
|  | std::vector< AttributeHandle > & | theAttributes,
|  | UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

Definition at line 701 of file ObjectManagement.cc.

References ObjectManagement::comm, certi::rtia::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, Message::PROVIDE_ATTRIBUTE_VALUE_UPDATE, Communications::requestFederateService(), Message::setObject(), and Message::type.

Referenced by TimeManagement::executeFederateService().

Here is the call graph for this function:

void retract | ( | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

Definition at line 725 of file ObjectManagement.cc.

void reflectRetraction | ( | EventRetractionHandle | theHandle,
|  | TypeException & | e |
| ) |  |  |

Definition at line 737 of file ObjectManagement.cc.

void setAttributeScopeAdvisorySwitch | ( | bool | state,
|  | TypeException & | e |
| ) |  |  |

Transmits the Networkmessage NM_Set_Attribute_Scope_Advisory_Switch to RTIG.

The transmission sets the AttributeScopeAdvisory switch at RTIG side to the value of the input parameter state. The invocation is caused by a successfull transmission of the message ENABLE_ATTRIBUTE_SCOPE_ADVISORY_SWITCH from the federate to RTIA.

Parameters:

  `[in]` | state | is the new value for the switch, true means enable, false means disable
  `[in,out]` | e | is a reference to a possible exception

Definition at line 916 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NM_Set_Attribute_Scope_Advisory_Switch::attributeScopeAdvisorySwitchOff(), NM_Set_Attribute_Scope_Advisory_Switch::attributeScopeAdvisorySwitchOn(), ObjectManagement::comm, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, PrettyDebug::Out(), pdGendoc, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void attributesInScope | ( | ObjectHandle | theObject,
|  | const std::vector< AttributeHandle > & | attribArray,
|  | const UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

Definition at line 943 of file ObjectManagement.cc.

References Message::ATTRIBUTES_IN_SCOPE, ObjectManagement::comm, certi::rtia::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, Communications::requestFederateService(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void attributesOutOfScope | ( | ObjectHandle | theObject,
|  | const std::vector< AttributeHandle > & | attribArray,
|  | const UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

Definition at line 970 of file ObjectManagement.cc.

References Message::ATTRIBUTES_OUT_OF_SCOPE, ObjectManagement::comm, certi::rtia::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, Communications::requestFederateService(), Message::setObject(), and Message::type.

Here is the call graph for this function:

void setAttributeRelevanceAdvisorySwitch | ( | bool | state,
|  | TypeException & | e |
| ) |  |  |

Transmits the Networkmessage NM_Set_Attribute_Relevance_Advisory_Switch to RTIG.

The transmission sets the AttributeRelevanceAdvisory switch at RTIG side to the value of the input parameter state. The invocation is caused by a successfull transmission of the message ENABLE_ATTRIBUTE_RELEVANCE_ADVISORY_SWITCH from the federate to RTIA.

Parameters:

  `[in]` | state | is the new value for the switch, true means enable, false means disable
  `[in,out]` | e | is a reference to a possible exception

Definition at line 993 of file ObjectManagement.cc.

References FederationManagement::_numero_federation, NM_Set_Attribute_Relevance_Advisory_Switch::attributeRelevanceAdvisorySwitchOff(), NM_Set_Attribute_Relevance_Advisory_Switch::attributeRelevanceAdvisorySwitchOn(), ObjectManagement::comm, certi::e_NO_EXCEPTION, FederationManagement::federate, NetworkMessage::federate, NetworkMessage::federation, ObjectManagement::fm, certi::rtia::G, PrettyDebug::Out(), pdGendoc, and Communications::sendMessage().

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

void turnUpdatesOnForObjectInstance | ( | ObjectHandle | theObject,
|  | const std::vector< AttributeHandle > & | attribArray,
|  | const UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

Definition at line 1021 of file ObjectManagement.cc.

References ObjectManagement::comm, certi::rtia::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, Communications::requestFederateService(), Message::setObject(), Message::TURN_UPDATES_ON_FOR_OBJECT_INSTANCE, and Message::type.

Here is the call graph for this function:

void turnUpdatesOffForObjectInstance | ( | ObjectHandle | theObject,
|  | const std::vector< AttributeHandle > & | attribArray,
|  | const UShort | attribArraySize,
|  | TypeException & | e |
| ) |  |  |

Definition at line 1048 of file ObjectManagement.cc.

References ObjectManagement::comm, certi::rtia::G, Message::handleArray, Message::handleArraySize, PrettyDebug::Out(), pdGendoc, Communications::requestFederateService(), Message::setObject(), Message::TURN_UPDATES_OFF_FOR_OBJECT_INSTANCE, and Message::type.

Here is the call graph for this function:

ObjectClassHandle getObjectClassHandle | ( | const char * | theName | ) |

getObjectClassHandle.

Definition at line 746 of file ObjectManagement.cc.

References certi::rtia::G, ObjectClassSet::getObjectClassHandle(), RootObject::ObjectClasses, PrettyDebug::Out(), pdGendoc, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

string getObjectClassName | ( | ObjectClassHandle | theHandle | ) |

getObjectClassName.

Definition at line 765 of file ObjectManagement.cc.

References ObjectClassSet::getObjectClassName(), RootObject::ObjectClasses, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

ObjectHandle getObjectInstanceHandle | ( | const char * | the_name | ) |

Returns the object instance handle.

Definition at line 773 of file ObjectManagement.cc.

References ObjectSet::getObjectInstanceHandle(), RootObject::objects, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

const char * getObjectInstanceName | ( | ObjectHandle | the_object | ) |

Returns the object instance name.

Definition at line 781 of file ObjectManagement.cc.

References ObjectSet::getObjectInstanceName(), RootObject::objects, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

AttributeHandle getAttributeHandle | ( | const char * | theName,
|  | ObjectClassHandle | theClassHandle |
| ) |  |  |

getAttributeHandle.

Definition at line 789 of file ObjectManagement.cc.

References certi::rtia::G, ObjectClassSet::getAttributeHandle(), RootObject::ObjectClasses, PrettyDebug::Out(), pdGendoc, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

const char * getAttributeName | ( | AttributeHandle | theHandle,
|  | ObjectClassHandle | theClassHandle |
| ) |  |  |

getAttributeName.

Definition at line 809 of file ObjectManagement.cc.

References ObjectClassSet::getAttributeName(), RootObject::ObjectClasses, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

InteractionClassHandle getInteractionClassHandle | ( | const char * | theName | ) |

getInteractionClassHandle.

Definition at line 819 of file ObjectManagement.cc.

References InteractionSet::getInteractionClassHandle(), RootObject::Interactions, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

const std::string getInteractionClassName | ( | InteractionClassHandle | theClassHandle | ) |

getInteractionClassName.

Definition at line 828 of file ObjectManagement.cc.

References InteractionSet::getInteractionClassName(), RootObject::Interactions, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

ParameterHandle getParameterHandle | ( | const char * | theParameterName,
|  | InteractionClassHandle | theClassHandle |
| ) |  |  |

getParameterHandle.

Definition at line 837 of file ObjectManagement.cc.

References InteractionSet::getParameterHandle(), RootObject::Interactions, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

const std::string & getParameterName | ( | ParameterHandle | theParameterHandle,
|  | InteractionClassHandle | theClassHandle |
| ) |  |  |

getParameterName.

Definition at line 847 of file ObjectManagement.cc.

References InteractionSet::getParameterName(), RootObject::Interactions, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

ObjectClassHandle getObjectClass | ( | ObjectHandle | object | ) |

getObjectClass

Definition at line 857 of file ObjectManagement.cc.

References ObjectSet::getObjectClass(), RootObject::objects, and ObjectManagement::rootObject.

Referenced by RTIA::chooseFederateProcessing().

Here is the call graph for this function:

TransportType getTransportationHandle | ( | const char * | theName | ) |

getTransportationHandle

Definition at line 865 of file ObjectManagement.cc.

References ObjectManagement::TransportTypeList::name, and ObjectManagement::transportTypeList.

Referenced by RTIA::chooseFederateProcessing().

const char * getTransportationName | ( | TransportType | theType | ) |

getTransportationName

Definition at line 878 of file ObjectManagement.cc.

References ObjectManagement::TransportTypeList::name, and ObjectManagement::transportTypeList.

Referenced by RTIA::chooseFederateProcessing().

OrderType getOrderingHandle | ( | const char * | theName | ) |

getOrderingHandle

Definition at line 891 of file ObjectManagement.cc.

References ObjectManagement::OrderTypeList::name, and ObjectManagement::orderTypeList.

Referenced by RTIA::chooseFederateProcessing().

const char * getOrderingName | ( | OrderType | theType | ) |

getOrderingName

Definition at line 904 of file ObjectManagement.cc.

References ObjectManagement::OrderTypeList::name, and ObjectManagement::orderTypeList.

Referenced by RTIA::chooseFederateProcessing().

## Member Data Documentation

TimeManagement* tm

Definition at line 278 of file ObjectManagement.hh.

Referenced by RTIA::RTIA(), ObjectManagement::sendInteraction(), and ObjectManagement::updateAttributeValues().

Communications* comm`[protected]`

Definition at line 281 of file ObjectManagement.hh.

Referenced by ObjectManagement::attributesInScope(), ObjectManagement::attributesOutOfScope(), ObjectManagement::changeAttributeOrderType(), ObjectManagement::changeAttributeTransportType(), ObjectManagement::changeInteractionOrderType(), ObjectManagement::changeInteractionTransportType(), ObjectManagement::deleteObject(), ObjectManagement::discoverObject(), ObjectManagement::provideAttributeValueUpdate(), ObjectManagement::receiveInteraction(), ObjectManagement::reflectAttributeValues(), ObjectManagement::registerObject(), ObjectManagement::removeObject(), ObjectManagement::requestObjectAttributeValueUpdate(), ObjectManagement::sendInteraction(), ObjectManagement::setAttributeRelevanceAdvisorySwitch(), ObjectManagement::setAttributeScopeAdvisorySwitch(), ObjectManagement::turnUpdatesOffForObjectInstance(), ObjectManagement::turnUpdatesOnForObjectInstance(), and ObjectManagement::updateAttributeValues().

Queues* queues`[protected]`

Definition at line 282 of file ObjectManagement.hh.

FederationManagement* fm`[protected]`

Definition at line 283 of file ObjectManagement.hh.

Referenced by ObjectManagement::changeAttributeOrderType(), ObjectManagement::changeAttributeTransportType(), ObjectManagement::changeInteractionOrderType(), ObjectManagement::changeInteractionTransportType(), ObjectManagement::deleteObject(), ObjectManagement::discoverObject(), ObjectManagement::registerObject(), ObjectManagement::requestObjectAttributeValueUpdate(), ObjectManagement::sendInteraction(), ObjectManagement::setAttributeRelevanceAdvisorySwitch(), ObjectManagement::setAttributeScopeAdvisorySwitch(), and ObjectManagement::updateAttributeValues().

RootObject* rootObject`[protected]`

Definition at line 284 of file ObjectManagement.hh.

Referenced by ObjectManagement::deleteObject(), ObjectManagement::discoverObject(), ObjectManagement::getAttributeHandle(), ObjectManagement::getAttributeName(), ObjectManagement::getInteractionClassHandle(), ObjectManagement::getInteractionClassName(), ObjectManagement::getObjectClass(), ObjectManagement::getObjectClassHandle(), ObjectManagement::getObjectClassName(), ObjectManagement::getObjectInstanceHandle(), ObjectManagement::getObjectInstanceName(), ObjectManagement::getParameterHandle(), ObjectManagement::getParameterName(), ObjectManagement::registerObject(), ObjectManagement::removeObject(), and ObjectManagement::sendInteraction().

const ObjectManagement::TransportTypeList transportTypeList`[static, private]`

Initial value:

     {
        { "HLAreliable", RELIABLE },
        { "HLAbestEffort", BEST_EFFORT },
        { NULL }
    }

Definition at line 291 of file ObjectManagement.hh.

Referenced by ObjectManagement::getTransportationHandle(), and ObjectManagement::getTransportationName().

const ObjectManagement::OrderTypeList orderTypeList`[static, private]`

Initial value:

     {
        { "Receive", RECEIVE },
        { "Timestamp", TIMESTAMP },
        { NULL }
    }

Definition at line 297 of file ObjectManagement.hh.

Referenced by ObjectManagement::getOrderingHandle(), and ObjectManagement::getOrderingName().

The documentation for this class was generated from the following files:

- ObjectManagement.hh
- ObjectManagement.cc